Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.build
Class Parser

    java.lang.Object
      org.basex.build.Parser

Direct Known Subclasses:
  DirParser, DOCWrapper, FSParser, MAB2Parser, SAXWrapper, XMLParser, XMLStreamWrapper

    public abstract class Parser

extends java.lang.Object

This is class defines a parser for creating databases from various sources.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Christian Gruen

Field Summary
`Atts` | `atts` Temporary attribute array.
`IO` | `io` Input file.

Constructor Summary
`Parser(IO f)` Constructor.

Method Summary
`abstract java.lang.String` | `det()` Returns detailed progress information.
`abstract java.lang.String` | `head()` Returns a compact description of the current progress.
`abstract void` | `parse(Builder build)` Parses all nodes and sends events to the specified builder.
`abstract double` | `prog()` Returns a value from 0 to 1, representing the current progress.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### atts

    public final Atts atts

  Temporary attribute array.

### io

    public IO io

  Input file.

Constructor Detail

### Parser

    public Parser(IO f)

  Constructor.

  Parameters:
    `f` - file reference.

Method Detail

### parse

    public abstract void parse(Builder build)
                        throws java.io.IOException

  Parses all nodes and sends events to the specified builder.

  Parameters:
    `build` - event listener.
  Throws:
    `java.io.IOException` - I/O exception

### head

    public abstract java.lang.String head()

  Returns a compact description of the current progress.

  Returns:
    progress information

### det

    public abstract java.lang.String det()

  Returns detailed progress information.

  Returns:
    position info

### prog

    public abstract double prog()

  Returns a value from 0 to 1, representing the current progress.

  Returns:
    progress information

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD